Hi,

I actually want only libelf, but I don't think it makes sense to split elfutils into libelf and others. Actually the patch doesn't consider the dependencies. The change of argp check should be a mistake. I'll send a new patch to solve those issues. The testsuite will also be updated.


Regards,
Akihiko Odaki

On 2016-10-13 18:51, Mark Wielaard wrote:
Hi,

We this split up and why do you want to enable/disable these specific
parts?

I don't think it makes sense to be able to not build the ebl backends
(unless you don't build libasm, libdw and also not the tools - only
libelf doesn't directly use the backends). And obviously various tools
won't build if you disable either libdw or libasm. And libasm won't
build without libdw.

arpg is part of the libdwfl interface, so isn't really specific to the
tools.

Cheers,

Mark

_______________________________________________
elfutils-devel mailing list -- elfutils-devel@lists.fedorahosted.org
To unsubscribe send an email to elfutils-devel-le...@lists.fedorahosted.org

Reply via email to